> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dolphinflashcards.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Quests

> Get all quests for the user, filtered by optional query parameters.



## OpenAPI

````yaml get /get-quests
openapi: 3.1.0
info:
  title: DolphinFlashcardApp API
  version: '1.0'
  summary: Manage flashcards
  description: >-
    Set up user accounts, create or manage flashcards, set learning goals, and
    track performances with user's heatmap and streak data. Data is available in
    JSON format only. <br></br>**Note**: All parameters are case-sensitive.
    Request body parameters are required, but the query parameters are
    optional. 
  contact:
    name: Dolphin Flashcards
    url: https://dolphinflashcards.com/contact
    email: dolphinflashcards@outlook.com
  license:
    name: MIT
    url: https://github.com/jacob-macleod/Dolphin-Flashcard-App/blob/main/LICENSE
servers:
  - url: http://dolphinflashcards.com/api
    description: baseurl
security: []
tags:
  - name: Account
    description: Groups the endpoints required to create an account.
  - name: Card management
    description: Groups the endpoints required to create and manage flashcards.
  - name: Goal
    description: Groups the endpoints required to create and manage goals.
  - name: Statistics
    description: Groups the endpoints required to track heatmap and streak.
paths:
  /get-quests:
    get:
      tags:
        - Quests
      summary: Get Quests
      description: Get all quests for the user, filtered by optional query parameters.
      parameters:
        - in: query
          name: questType
          schema:
            type: string
            enum:
              - cards_revised
              - xp_gained
              - time_spent
          description: Filter by quest type.
        - in: query
          name: questSubType
          schema:
            type: string
            enum:
              - monthly
              - friend
          description: Filter by quest sub type.
        - in: query
          name: questStatus
          schema:
            type: string
            enum:
              - active
              - finished
          description: Filter by quest status.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jwtToken
              properties:
                jwtToken:
                  type: string
                  description: JWT token for authentication.
      responses:
        '200':
          description: List of quests for the user and their participants.
          content:
            application/json:
              schema:
                type: object
                properties:
                  quests:
                    type: array
                    items:
                      type: object
                      properties:
                        quest_id:
                          type: string
                        title:
                          type: string
                        deadline:
                          type: string
                          format: date-time
                        quest_type:
                          type: string
                        quest_sub_type:
                          type: string
                        quantity:
                          type: integer
                        progress:
                          type: integer
                        participants:
                          type: array
                          items:
                            type: object
                            properties:
                              user_id:
                                type: string
                              status:
                                type: string
                              progress:
                                type: integer
                              isOwner:
                                type: boolean
                                description: Optional - Just to all quest creators
                              invited_by:
                                type: string
                                description: Optional - Just to invited users
        '400':
          description: Bad request.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string

````